
RSBag - Bug #1092
emitandnext via RPC kills bag-play if at end of file
07/20/2012 02:04 PM - J. Wienke

Status: Resolved Start date: 07/20/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description

jwienke@augit:~/Desktop/annotation-fixes$ ./bag-play -r 'remote-controlled :uri "spread://localhost:4803/control"' -S 24150
/vol/humavips/studies/Y2_Vernissage/corpus/slots/18/video.tide spread:?name=4803
2012-01-12T14:25:23.711743+01:00 100.00 %    24,172 [        0,   24,172]
[ ERROR (RSBAG.RSB.REPLAY) ]  Failed to retrieve an event for replay: Failed to retrieve next event from
#<REPLAY-BAG-CONNECTION (1) {100BDC8BB3}> for replay according to strategy #<REMOTE-CONTROLLED [24,150, *[
{100BCF87D3}> Caused by:
> Index 48346 out of bounds for (SIMPLE-ARRAY (UNSIGNED-BYTE 64) (48346)), should be nonnegative and <48346.
[ WARN (RSBAG.TOOLS.PLAY) ]  Restart LOG not found; Doing nothing.
Index 48346 out of bounds for (SIMPLE-ARRAY (UNSIGNED-BYTE 64) (48346)), should be nonnegative and <48346.

Related issues:
Blocked by RSBag - Feature # 616: Support backward seeks in serialized view Resolved 10/07/2011

Associated revisions
Revision 621a42c4 - 07/20/2012 10:02 PM - J. Moringen
Handle bounds violations in src/rsb/replay/external-driver-mixin.lisp
fixes #1092
    -  src/rsb/replay/external-driver-mixin.lisp

  (replay replay-bag-connection external-driver-mixin): when an
  attempt is made to step beyond the bounds of the sequence, repair
  the iterator and signal an error

History
#1 - 07/20/2012 10:05 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r490.
